# Property Management

# Overview

These APIs facilitate managing property configurations and units management for a venue.


Version: 1.0.0
License: RUCKUS Cloud Privacy Policy

## Servers

RUCKUS One API host for North American region.
```
https://api.ruckus.cloud
```

RUCKUS One API host for European region.
```
https://api.eu.ruckus.cloud
```

RUCKUS One API host for Asian region.
```
https://api.asia.ruckus.cloud
```

## Download OpenAPI description

 - [Property Management](https://docs.ruckus.cloud/_bundle/api/property-management-1.0.1.yaml)

## Properties

 - [GET /venues/{venueId}/propertyConfigs](https://docs.ruckus.cloud/api/property-management-1.0.1/properties/getproperty.md): Gets property configuration for the requested venue.
 - [PUT /venues/{venueId}/propertyConfigs](https://docs.ruckus.cloud/api/property-management-1.0.1/properties/enableproperty.md): Allows the user to enable or disable property management configuration on the specified venue.
 - [PATCH /venues/{venueId}/propertyConfigs](https://docs.ruckus.cloud/api/property-management-1.0.1/properties/enablepropertyselectively.md): Allows the user to selectively update property management configuration on the specified venue.
 - [PUT /venues/{venueId}/propertyConfigs/residentPortalAssignments/{residentPortalId}](https://docs.ruckus.cloud/api/property-management-1.0.1/properties/assignresidentportal.md): Allows the user to assign resident portal for the specified venue.
 - [POST /venues/propertyConfigs/query](https://docs.ruckus.cloud/api/property-management-1.0.1/properties/querypropertyconfigs.md): Gets the list of property configurations using the specified query.
 - [GET /venues/propertyConfigs](https://docs.ruckus.cloud/api/property-management-1.0.1/properties/getallpropertyconfigs.md): Gets the list of property configurations paged. This method will be removed no sooner than 08/31/2026. The following URL POST /venues/propertyConfigs/query can be used for this content.
## Residents

 - [POST /residentPortals](https://docs.ruckus.cloud/api/property-management-1.0.1/residents/addresidentportal.md): Allows the user to add a resident portal.
 - [POST /residentPortals/query](https://docs.ruckus.cloud/api/property-management-1.0.1/residents/queryresidentportals.md): Gets the list of resident portals using the specified query.
 - [GET /residentPortals/{portalId}](https://docs.ruckus.cloud/api/property-management-1.0.1/residents/fetchresidentportal.md): Allows the user to get a resident portal with the given id.
 - [DELETE /residentPortals/{portalId}](https://docs.ruckus.cloud/api/property-management-1.0.1/residents/deleteresidentportal.md): Allows the user to delete a resident portal with the given id.
 - [PATCH /residentPortals/{portalId}](https://docs.ruckus.cloud/api/property-management-1.0.1/residents/editresidentportal.md): Allows the user to selectively update resident portal configurations.
 - [GET /residentPortals/{portalId}/files/{type}](https://docs.ruckus.cloud/api/property-management-1.0.1/residents/downloadportalfile.md): Allows the user to get a resident portal file with the given id.
 - [DELETE /residentPortals/{portalId}/files/{type}](https://docs.ruckus.cloud/api/property-management-1.0.1/residents/deleteportalfile.md): Allows the user to delete a resident portal file with the given id.
 - [GET /residentPortals](https://docs.ruckus.cloud/api/property-management-1.0.1/residents/getallportals.md): Gets the list of resident portals paged. This method will be removed no sooner than 08/31/2026. The following URL POST /residentPortals/query can be used for this content.
 - [DELETE /residentPortals](https://docs.ruckus.cloud/api/property-management-1.0.1/residents/deleteresidentportals.md): Allows the user to delete resident portals with the given ids. This method will be removed no sooner than 08/31/2026. The following URL DELETE /residentPortals/{portalId} can be used for this content.
## Units

 - [PUT /venues/{venueId}/units/{unitId}/identities/{identityId}](https://docs.ruckus.cloud/api/property-management-1.0.1/units/associateidentity.md): Allows the user to associate identities on the specified unit.
 - [DELETE /venues/{venueId}/units/{unitId}/identities/{identityId}](https://docs.ruckus.cloud/api/property-management-1.0.1/units/deleteidentity.md): Allows the user to delete associated identity of the unit.
 - [PUT /venues/{venueId}/units/qosProfileAssignments/{qosProfileId}](https://docs.ruckus.cloud/api/property-management-1.0.1/units/qosprofileassignments.md): Allows the user to update QoS profile assignments.
 - [GET /venues/{venueId}/units](https://docs.ruckus.cloud/api/property-management-1.0.1/units/getallunits.md): Gets the list of units paged.
 - [POST /venues/{venueId}/units](https://docs.ruckus.cloud/api/property-management-1.0.1/units/addunit.md): Allows the user to add a unit on the specified venue.
 - [POST /venues/{venueId}/units/query](https://docs.ruckus.cloud/api/property-management-1.0.1/units/queryunits.md): Gets the list of units using the specified query.
 - [POST /venues/{venueId}/units/notifications](https://docs.ruckus.cloud/api/property-management-1.0.1/units/resendnotifications.md): Allows the user to resend notifications for units with the given ids.
 - [POST /venues/{venueId}/units/identities/query](https://docs.ruckus.cloud/api/property-management-1.0.1/units/queryidentities.md): Gets the list of identities using the specified query.
 - [GET /venues/{venueId}/units/{unitId}](https://docs.ruckus.cloud/api/property-management-1.0.1/units/fetchunit.md): Allows the user to get a unit with the given id.
 - [DELETE /venues/{venueId}/units/{unitId}](https://docs.ruckus.cloud/api/property-management-1.0.1/units/deleteunit.md): Allows the user to delete a unit with the given id.
 - [PATCH /venues/{venueId}/units/{unitId}](https://docs.ruckus.cloud/api/property-management-1.0.1/units/editunit.md): Allows the user to selectively update unit configurations on the specified venue.
 - [DELETE /venues/{venueId}/units](https://docs.ruckus.cloud/api/property-management-1.0.1/units/deleteunits.md): Allows the user to delete units with the given ids. This method will be removed no sooner than 08/31/2026. The following URL DELETE /venues/{venueId}/units/{unitId} can be used for this content.
